Bug 45688 - up2date bomb out when lilo.conf contain disk= and bios= options
up2date bomb out when lilo.conf contain disk= and bios= options
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-24 16:52 EDT by Milan Kerslager
Modified: 2015-01-07 18:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-05 16:09:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2001-06-24 16:52:58 EDT
I ran up2date on my up-to-date system (RH 7.1). New kernel kernel-2.4.3-12 
has been succesfully downloaded (I used -k command line option), but the 
up2date bombs out when trying to update my /etc/lilo.conf. The reason is 
that I have four lines in lilo.conf to boot from SCSI disk (with system 
and with root FS). I have IDE disk too, but this disk is removable. Thus I 
have this four lines in my lilo.conf:

disk=/dev/sda
  bios=0x80
disk=/dev/hda
  bios=0x81

The lilo.conf could be easily upgraded, no modification to lilo.conf is 
needed (these four lines are "global" options). Of course new image= 
section should be added.

My actual lilo.conf:

boot=/dev/sda
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
linear
#message=/boot/message
default=Linux
#append="ide0=ata66 ide1=ata66"

disk=/dev/sda
  bios=0x80
disk=/dev/hda
  bios=0x81

image=/boot/vmlinuz-2.4.3-12
        label=Linux
        initrd=/boot/initrd-2.4.3-12.img
        read-only
        root=/dev/sda1

image=/boot/vmlinuz-2.4.2-2
        label=Old
        initrd=/boot/initrd-2.4.2-2.img
        read-only
        root=/dev/sda1

Up2date bomb out with this traceback:

Traceback (innermost last):
  File "/usr/sbin/up2date", line 831, in ?
    main()
  File "/usr/sbin/up2date", line 806, in main
    sys.exit(batchRun(onlyList, pkgNames, fullUpdate))
  File "/usr/sbin/up2date", line 596, in batchRun
    up2date.installBootLoader(kernelsToInstall)
  File "/usr/share/rhn/up2date/up2date.py", line 2222, in installBootLoader
    ret = lilocfg.installNewImages(kernelList,test=0)
  File "/usr/share/rhn/up2date/lilocfg.py", line 266, in installNewImages
    raise LiloConfParseError("\n" + "%s" % config.unsupported)
lilocfg.LiloConfParseError: lilo options that are not supported by up2date 
are used in the default
lilo.conf. This file will not be modified. The options include:

['disk=/dev/sda', 'bios=0x80', 'disk=/dev/hda', 'bios=0x81']


Bombing out is bad, but leaving original global parameters should be 
possible in this case.
Comment 1 Adrian Likins 2001-07-02 22:30:56 EDT
These options should be support in the next versions of the clients
(and I believe the errataed version as well).

The 7.1 stock version as the code for handling those cases 
commented out, as it wasnt well tested at that time. The updated
version seems to handle this correctly, leaving them as global
options.
Comment 2 Adrian Likins 2001-07-02 22:33:02 EDT
the lilo.conf has been added to the test suite for up2date...

Note You need to log in before you can comment on or make changes to this bug.